---
updatedAt: 2025-05-22T20:28:09.000Z
agentTools:
  projectIndex: https://docs.klarda.com/llms.txt
---

# Get Protocol TVL by ID

Get Wallet Transfer Transaction

## Definition

This endpoint retrieves Total Value Locked (TVL) data for a specific protocol identified by its protocol\_id. TVL represents the total amount of assets, typically cryptocurrency tokens, locked or held within a protocol's smart contracts.

## Query Parameters

* **protocol\_id** (string): The unique identifier or name of the protocol for which TVL data is requested.

## Response

The response will include a JSON object containing TVL data for the specified protocol.

> This endpoint is useful for monitoring and analyzing the total value of assets locked within specific protocols within the blockchain and decentralized finance (DeFi) ecosystems.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "klarda-protocol-api",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://api.klarda.com/api/v1/protocol"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "query",
        "name": "api_key"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/marketcap/tvl/id": {
      "get": {
        "summary": "Get Protocol TVL by ID",
        "description": "Get Wallet Transfer Transaction",
        "operationId": "get-protocol-marketcap-tvl",
        "parameters": [
          {
            "name": "protocol_id",
            "in": "query",
            "description": "String -",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"success\": true,\n  \"data\": {\n    \"_id\": \"6401d9c82c276527a9b076b9\",\n    \"tvl\": 29349524986.90109,\n    \"chainTvls\": [\n      {\n        \"Terra\": 0,\n        \"Moonbeam\": 247672.81089310403,\n        \"Ethereum\": 29330466263.71949,\n        \"Moonriver\": 80839.92034964231,\n        \"Solana\": 18730210.45035704\n      }\n    ],\n    \"fdv\": null,\n    \"mcap\": 1748969771.8942301\n  }\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "success": {
                      "type": "boolean",
                      "example": true,
                      "default": true
                    },
                    "data": {
                      "type": "object",
                      "properties": {
                        "_id": {
                          "type": "string",
                          "example": "6401d9c82c276527a9b076b9"
                        },
                        "tvl": {
                          "type": "number",
                          "example": 29349524986.90109,
                          "default": 0
                        },
                        "chainTvls": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "Terra": {
                                "type": "integer",
                                "example": 0,
                                "default": 0
                              },
                              "Moonbeam": {
                                "type": "number",
                                "example": 247672.81089310403,
                                "default": 0
                              },
                              "Ethereum": {
                                "type": "number",
                                "example": 29330466263.71949,
                                "default": 0
                              },
                              "Moonriver": {
                                "type": "number",
                                "example": 80839.92034964231,
                                "default": 0
                              },
                              "Solana": {
                                "type": "number",
                                "example": 18730210.45035704,
                                "default": 0
                              }
                            }
                          }
                        },
                        "fdv": {},
                        "mcap": {
                          "type": "number",
                          "example": 1748969771.8942301,
                          "default": 0
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"statusCode\": 400,\n  \"message\": \"Wrong api_key, please check!\",\n  \"error\": \"Bad Request\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "statusCode": {
                      "type": "integer",
                      "example": 400,
                      "default": 0
                    },
                    "message": {
                      "type": "string",
                      "example": "Wrong api_key, please check!"
                    },
                    "error": {
                      "type": "string",
                      "example": "Bad Request"
                    }
                  }
                }
              }
            }
          },
          "401": {
            "description": "401",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"statusCode\": 401,\n  \"message\": \"Unauthorized\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "statusCode": {
                      "type": "integer",
                      "example": 401,
                      "default": 0
                    },
                    "message": {
                      "type": "string",
                      "example": "Unauthorized"
                    }
                  }
                }
              }
            }
          },
          "500": {
            "description": "500",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"statusCode\": 500,\n  \"message\": \"Internal server error\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "statusCode": {
                      "type": "integer",
                      "example": 500,
                      "default": 0
                    },
                    "message": {
                      "type": "string",
                      "example": "Internal server error"
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```